Or (EasyMock 3.2 API)
Date: 2013-07-11

org.easymock.internal.matchers

## Class Or

- java.lang.Object
- - org.easymock.internal.matchers.Or

- All Implemented Interfaces:
    Serializable, IArgumentMatcher

      public class Or
      extends Object
      implements IArgumentMatcher, Serializable

  Author:
    OFFIS, Tammo Freese
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Or(List<IArgumentMatcher> matchers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendTo(StringBuffer buffer)` Appends a string representation of this matcher to the given buffer.
    `boolean` | `matches(Object actual)` Returns whether this matcher accepts the given argument.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Or

          public Or(List<IArgumentMatcher> matchers)

  - ### Method Detail

    - #### matches

          public boolean matches(Object actual)

      Description copied from interface: `IArgumentMatcher`
      Returns whether this matcher accepts the given argument.

      Like Object.equals(), it should be aware that the argument passed might be null and of any type. So you will usually start the method with an instanceof and/or null check.

      The method should never assert if the argument doesn't match. It should only return false. EasyMock will take care of asserting if the call is really unexpected.

      Specified by:
        `matches` in interface `IArgumentMatcher`
      Parameters:
        `actual` - the argument
      Returns:
        whether this matcher accepts the given argument.

    - #### appendTo

          public void appendTo(StringBuffer buffer)

      Description copied from interface: `IArgumentMatcher`
      Appends a string representation of this matcher to the given buffer. In case of failure, the printed message will show this string to allow to know which matcher was used for the failing call.
      Specified by:
        `appendTo` in interface `IArgumentMatcher`
      Parameters:
        `buffer` - the buffer to which the string representation is appended.

Copyright © 2001-2013 OFFIS, Tammo Freese, Henri Tremblay. All Rights Reserved.